task batch {
    String sample_id
    File tumor_bam
    File tumor_bai
    File normal_bam
    File normal_bai
    String bed
    File ref_dir
    String fasta
    File access_bed
    String docker
	String cluster_config
	String disk_size

    command <<<
        cnvkit.py batch ${tumor_bam} --normal ${normal_bam} \
        --targets ${bed} \
        --fasta ${ref_dir}/${fasta} --access ${access_bed} \
        --output-reference my_reference.cnn --output-dir ./results/ \
        --diagram --scatter
    >>>
   
    runtime { 
		docker: docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
    }

    output {
        File reference_cnn = "my_reference.cnn"
        Array[File] result = glob("result/*")
    }
}



